<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

if(!empty($err_msg))
	$msg = '<div class="alert alert-danger"><button type="button" class="close" data-dismiss="alert">&times;</button>' . $err_msg . '</div>';
if(!empty($success_msg))
	$msg = '<div class="alert alert-info"><button type="button" class="close pull-right" data-dismiss="alert">&times;</button>' . $success_msg . '</div>';
	
switch($show):
	case 'reset_password':
		$fields 	= array (
			'form_open' => array(
				'id'	=> 'reset-confirm',
				'name'	=> 'reset-confirm',
				'class'	=> 'form-resetpwd form-horizontal col-md-5 col-md-offset-4',
				'data-bind'	=> 'submit:onSubmit',
			),
			'hidden'	=> array(
				'type'	=> 'reset_confirm',
				'redirect'	=> '',
			),
			'email' => array(
				'id'	=> 'email',
				'class'	=> 'input loginEmail form-control',
				'name'	=> 'email',
				'value'	=> set_value('email'),
				'placeholder'	=> lang('PLACE_EMAIL'),
				'data-bind'		=> 'value:email',
			),
			'verification_code'	=> array(
				'id'	=> 'verification_code',
				'class'	=> 'input loginPassword form-control',
				'name'	=> 'verification_code',
				'value'	=> '',
				'placeholder'	=> lang('PLACE_VERIFICATION_CODE'),
				'data-bind'		=> 'value:verification_code',
			),
		);
?>
<div id="reset-confirm-container" class="container">
	<div id="alert_message"><?php echo (!empty($msg)?$msg:''); ?></div>
	<?php echo form_open(null, $fields['form_open'] , $fields['hidden']); ?>
	<div class="sep">&nbsp;</div>
	<div class="row">
		<div class="col-lg-9">
			<h4><?php echo lang('RESET_CONFIRM'); ?></h4>
		</div>
	</div>
	<div class="clearfix"></div>
	<br/>
	<div class="row">
		<div class="col-lg-9">
			<?php echo form_input($fields['email']);?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>
	<br/>
	<div class="row">
		<div class="col-lg-9">
			<?php echo form_input($fields['verification_code']);?>
		</div>
	</div>
	<div class="sep">&nbsp;</div>
	<br/>
	<div class="row">
		<div class="col-lg-9 ar">
			<input type="submit" class="btn btn-success" value="<?php echo lang('SUBMIT'); ?>" />
		</div>
	</div>
	<?php echo form_close(); ?>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		ko.applyBindings(new ResetConfirm(), $("#reset-confirm-container").get(0));
	});
</script>
<?php
		break;
	case 'reset_confirm':
		$fields 	= array (
			'form_open' => array(
				'id'	=> 'reset-complete',
				'name'	=> 'reset-complete',
				'class'	=> 'form-resetpwd form-horizontal col-md-offset-4',
				'data-bind'	=> 'submit:onSubmit',
			),
			'hidden'	=> array(
				'type'	=> 'reset_complete',
				'redirect'	=> '',
			),
			'password' => array(
				'id'	=> 'password',
				'class'	=> 'input loginPassword  form-control',
				'name'	=> 'password',
				'placeholder'	=> 'New Password',
				'data-bind'		=> 'value:password',
			),
			'confirm_password'	=> array(
				'id'	=> 'confirm_password',
				'class'	=> 'input loginPassword  form-control',
				'name'	=> 'confirm_password',
				'placeholder'	=> 'Confirm Password',
				'data-bind'		=> 'value:confirm_password',
			),
		);
?>
<div id="reset-complete-container" class="container">
	<div id="alert_message"><?php echo (!empty($msg)?$msg:''); ?></div>
	<?php echo form_open(null, $fields['form_open'], $fields['hidden']); ?>
		<div class="sep">&nbsp;</div>
		<div class="row">
			<div class="col-lg-9">
				<h4><?php echo lang('RESET_COMPLETE');; ?></h4>
			</div>
		</div>
		<div class="clearfix"></div>
		<br/>
		<div class="row">
			<div class="col-lg-4">
				<?php echo form_password($fields['password']);?>
			</div>
		</div>
		<div class="sep">&nbsp;</div>
		<div class="clearfix"></div>
		<br/>
		<div class="row">
			<div class="col-lg-4">
				<?php echo form_password($fields['confirm_password']);?>
			</div>
		</div>
		<div class="sep">&nbsp;</div>
		<div class="clearfix"></div>
		<br/>
		<div class="row">
			<div class="col-lg-4 text-center">
				<input type="submit" class="btn btn-success" value="<?php echo lang('SUBMIT'); ?>" />
			</div>
		</div>
	<?php echo form_close(); ?>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		ko.applyBindings(new ResetComplete(), $("#reset-complete-container").get(0));
	});
</script>
<?php
		break;
	default:
		$fields 	= array (
			'form_open' => array(
				'id'	=> 'reset_form',
				'class'	=> 'form-resetpwd form-horizontal col-md-3 col-md-offset-4',
				'data-bind'	=> 'submit:onSubmit',
			),
			'hidden'	=> array(
				'type'	=> 'reset_password',
				'redirect'	=> '',
			),
			'email' => array(
				'id'	=> 'email',
				'class'	=> 'input loginEmail form-control',
				'name'	=> 'email',
				'value'	=> set_value('email'),
				'placeholder'	=> 'Your email address',
				'data-bind'		=> 'value:email',
			),
		);
?>
<div id="reset-container" class="container">
	<div id="alert_message" class="fix-it"><?php echo (!empty($msg)?$msg:''); ?></div>
	<?php echo form_open_multipart(null, $fields['form_open'], $fields['hidden']); ?>
	<div class="row">
		<?php echo form_input($fields['email']); ?>
	</div>
	<div class="sep">&nbsp;</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-md-6 col-sm-6 col-xs-6 np">
			<a id="login" class="text-primary vam" href="<?php echo site_url('user/login')?>"><?php echo lang('LOGIN');?></a>
		</div>
		<div class="col-md-6 col-sm-6 col-xs-6 np ar">
			<button id="reset_submit" type="submit" class="btn btn-success btn-sm" ><?php echo lang('SUBMIT'); ?></button>
		</div>
	</div>
	<?php echo form_close(); ?>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		ko.applyBindings(new Reset(), $("#reset-container").get(0));
	});
</script>
<?php
	break;
endswitch;

	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
