<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div>
	<div class="sub-title"><?php echo lang('MANAGE_TASK_TYPES'); ?></div>
	<div class="clearfix"></div>
</div>
<div class="sep">&nbsp;</div>
<div id="defaultprojecttype" class="box-condensed">
    <div class="table-responsive">
	<table cellpadding="0" cellspacing="0" class="table project_type table-gridedit fixhead">
		<thead>
			<tr>
				<td class="col-md-1 text-center"><?php echo lang('DEFAULT'); ?></td>
				<td class="col-md-5 text-center"><?php echo lang('TYPE'); ?></td>
				<td class="col-md-3 text-center wnw" data-bind="html:'<?php echo lang('RATE_PER_HOUR'); ?> ('+Otime.Entity.currency_html()+')'"></td>
				<td class="col-md-1 text-center wnw"><?php echo lang('BILLABLE'); ?></td>
				<td class="col-md-1 al">&nbsp;</td>
			</tr>
		</thead>
		<tbody class="editable" data-bind="foreach:listing">
			<tr class="box-condensed text-center">
				<td class="col-md-1 row-condensed text-center vam">
					<input type="checkbox" data-bind="checked:is_common" style="margin-top:4px;" />
				</td>
				<td class="col-md-5 row-condensed al vam">
					<input type="text" placeholder="<?php echo lang('NAME'); ?>" data-bind="value:name, valueUpdate: 'afterkeydown', event:{keyup:$parent.addNew}" />
				</td>
				<td class="col-md-3 row-condensed vam">
					<input type="number" class="col-md-12 ar" maxlength="8" min="0" step="any" max="99999999" onfocus="this.select()" placeholder="<?php echo lang('AMOUNT'); ?>" data-bind="currency:'<?php echo CURRENCY; ?>', value:hourly_rate, numberOnly:true" />
				</td>
				<td class="col-md-1 row-condensed text-center">
					<input type="checkbox" data-bind="checked:is_billable" style="margin-top:6px;"/>
				</td>
				<td class="col-md-1 row-condensed  controls">
					<a href="javascript;" class="close" data-bind="click:$parent.remove"><i class="icon icon-trash"></i></a>
				</td>
			</tr>
		</tbody>
	</table>
	</div>
<div class="sep">&nbsp;</div>