<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div class="modal fade" id="column-modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title"><?php echo lang('COLUMNS'); ?></h4>
			</div>
			<div class="modal-body container">
				<ul class="col-md-12" id="col-list">
					<li class="checkbox"><label><input type="checkbox" value="ttype" /><?php echo lang('TASK_TYPE'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="duration" /><?php echo lang('DURATION'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="sdate" /><?php echo lang('START_DATE'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="fdate" /><?php echo lang('FINISH_DATE'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="esthrs" /><?php echo lang('ESTIMATED_HOURS'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="acthrs" /><?php echo lang('ACTUAL_HOURS'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="status" /><?php echo lang('STATUS'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="assignee" /><?php echo lang('ASSIGNEE'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="followers" /><?php echo lang('FOLLOWERS'); ?></label></li>
					<li class="checkbox"><label><input type="checkbox" value="predec" /><?php echo lang('PREDECESSORS'); ?></label></li>
				</ul>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo lang('CLOSE'); ?></button>
				<button type="button" id="apply-column" class="btn btn-primary"><?php echo lang('APPLY'); ?></button>
			</div>
		</div>
	</div>
</div>