(function(Otime){

	Otime.Menu	= new function Menu(){
//		"use strict";

		var _this	= this;

		var isIE	= !!$.browser.msie;

//		var Timer_mins	= 0;
		_this.not_time 		= 30;
		_this._timer_mins 	= 0;

		_this._html_buffer	= {};

		_this.isAllow	= null;

		_this._current_menu	= null;

		_this.History	= null;

		_this.State	= null;

		_this.activeTask	= null;

		_this.curTime	= null;

		_this.progress	= Otime.o(null);

		_this.isNotRunning	= Otime.o(true);

		var is_task_stoped_by_header_btn	= false;

		_this.isTabHidden	= Otime.o(false);

		Otime.onTabChange(function(isHidden){
			_this.isTabHidden(isHidden);
		});

		var isRefreshing	= false;
/*
		_this.RefreshTimer	= function(isInitialLoad){
			if (isRefreshing || _this.isTabHidden())
			{
				return true;
			}

			isRefreshing	= true;
			$.ajax({
				type: "POST",
				global: false,
				url: Otime.domain + Otime.hashUrl + "notify/get_count",
				data: null,
				beforeSend: function(msg){
					$("body").removeClass("loading not");
				},
				success: function(resp, a, b){
					if (resp[0] && resp[2])
					{
						Otime.Notify.newCount(resp[2].notify_counts);
					}
				},
				complete: function(){
					isRefreshing	= false;
				}
			});
		};
*/
		_this.RefreshTimer	= function(isInitialLoad){
			if (isRefreshing || _this.isTabHidden())
			{
				return true;
			}

			var last_modified	= Otime.Notify.last_modified ? Otime.Notify.last_modified.format("YYYY-MM-DD OO:NN:SS") : '0';
			var post_data = {
					last_modified: last_modified
			};

			if (_this._timer_mins >= _this.not_time) {
				post_data.notify = 1;
				_this._timer_mins = 1;
			}
			isRefreshing	= true;
			$.ajax({
				type: "POST",
				global: false,
//				url: Otime.domain + Otime.hashUrl + "notify/progress",
				url: Otime.domain + Otime.hashUrl + "notify/get_count",
				data: post_data,
				beforeSend: function(msg){
					$("body").removeClass("loading not");
				},
				success: function(resp, a, b){
					if (resp[0] && resp[2])
					{
						Otime.Notify.newCount(resp[2].notify_counts);

						if (post_data.notify && Notification) {

							// browser notification
							if (Notification.permission !== "granted")
								Notification.requestPermission();

							var msg = 'Timer is not running!'; 
							var icon_path = Otime.baseUrl+'/assets/img/clock_inactive.png';
							var pro = 'Output Time';
							if (resp[2].active && resp[2].active.project_name) {
								var hrs = (Otime.Menu.progress() && Otime.Menu.progress()._info.hours_disp())?Otime.Menu.progress()._info.hours_disp().replace(/<(?:.|\n)*?>/gm, ''):resp[2].active.hours;
								// msg = ((resp[2].active.activity_name.length > 20)?resp[2].active.activity_name.substring(0,20)+' ...':resp[2].active.activity_name) +' | '+ hrs;
								msg = resp[2].active.activity_name;
								icon_path = Otime.baseUrl+'/assets/img/clock_active.png';
								pro = resp[2].active.project_name+' | '+hrs;
							} else if (resp[2].last_modified && resp[2].last_modified.project_name) {
								// msg = ((resp[2].last_modified.activity_name.length > 20)?resp[2].last_modified.activity_name.substring(0,20)+' ...':resp[2].last_modified.activity_name);
								msg = resp[2].last_modified.activity_name;
								pro = resp[2].last_modified.project_name;
							}
							var notification = new Notification(pro, {
							  tag:'ot_time_notify',
							  requireInteraction: true,
							  icon: icon_path,
							  body: msg
							});
							if (resp[2].active) {
								if (handle) clearTimeout(handle);
								var handle = setTimeout(function(){
									notification.close();
								}, 3000);
							}
						}

						if (is_expired(resp))
						{
							return;
						}

						Otime.updateAssignedTasks(resp[2].active_task_count || 0);

						if (resp[2].active)
						{
							is_task_stoped_by_header_btn	= false;
						
							resp	= resp[2];
							_this.activeTask	= resp.active;
							_this.curTime	= resp.cur_time;

							var isNull	= (_this.progress() == null);

							if (!isNull && ((resp.active.time_sheet_id-0) != (_this.progress().time_sheet_id()-0) || _this.isNotRunning()))
							{
								_this.progress(new _this.ProgressModel());
//								if (Otime.app.currentViewName == "TimeSheet")
//								{
//									console.log("Reload today 1 ");
//									Otime.TimeSheet.appModel.refresh_view();
//								}
								_this.isNotRunning(false);
								return;
							}

							_this.progress(new _this.ProgressModel());

//							if (isNull && !isInitialLoad && Otime.app.currentViewName == "TimeSheet")
//							{
	//							console.log("Reload View 1");
//								Otime.TimeSheet.appModel.refresh_view();
//							}
							_this.isNotRunning(false);
							return true;
						}
					}

					if (_this.progress() && Otime.app.currentViewName == "TimeSheet" && !_this.isNotRunning())
					{
//						console.log("Reload View 3");
//						Otime.TimeSheet.appModel.refresh_view();
						_this.isNotRunning(true);
					}

					if(!is_task_stoped_by_header_btn)
					{
						_this.activeTask	= null;
						_this.curTime	= null;
						_this.progress(null);
					}

					return true;
				},
				complete: function(){
					isRefreshing	= false;
				}
			});
		};

		_this.progInstance	= null;
		// will trigger from Otime.ready function
		_this.initProgress	= function(){
			var elem	= $("#active-task").get(0);
			_this.set_redirect_url();
//			if(_this.progress.time_sheet_id())
			if (!ko.dataFor(elem))
			{
				ko.applyBindings({progress:_this.progress}, elem);
			}

			_this.RefreshTimer(true);
			clearInterval(_this.progInstance);
			_this.progInstance	= setInterval(function(){
				if (Otime.Storage.get("enable_notification")==undefined || Otime.Storage.get("enable_notification")-0) {
					_this._timer_mins++;
				}
				_this.RefreshTimer();
			}, 6E4);
//			_this.progInstance	= setInterval(function(){
//				_this.RefreshTimer();
//			}, 5E3);
		};

		_this.ProgressModel	= function(){
			var self	= this;

			self._info	= {};

			_this.activeTask	= _this.activeTask || {};

			self.activity_name	= Otime.o(_this.activeTask.activity_name || "");
			self.project_name	= Otime.o(_this.activeTask.project_name || "");
			self.display_name	= Otime.o([self.project_name(), self.activity_name()].join("\n"));
			self.time_sheet_id	= Otime.o(_this.activeTask.time_sheet_id || 0);
			self.from_time		= Otime.o(_this.activeTask.from_time || "00:00 AM");
			self.hours			= Otime.o(_this.activeTask.hours || 0);
			self._info.is_running 	= Otime.o(_this.activeTask.is_progress || 0);
			self._info.hours_disp 	= Otime.o("");
			self.entry_date	= Otime.o(Otime.stoj(_this.activeTask.entry_date).format(Otime.jdf));

			self.tmpl	= "HH : NN <small>SS</small>";

			self._info.is_running.subscribe(function(newVal){
				if (newVal === false)
				{
					is_task_stoped_by_header_btn = true;
				}
			});

			Otime.TimeSheet.curTime	= _this.curTime;

			if(self.from_time()!="")
			{
				Otime.TimeSheet.SetInterval(self.from_time().toString(), self, (Number(self.hours())*60*60), self.tmpl);
			}
			else
			{
				return false;
			}

			self.startTask	= function(item){
				is_task_stoped_by_header_btn	= false;
				if (!item || item.time_sheet_id()-0 <= 0)
				{
					return false;
				}

				if (Otime.app.currentViewName == "TimeSheet")
				{
					Otime.TimeSheet.Start(item.time_sheet_id());
					return true;
				}

				if (Otime.app.currentViewName == "Tasks" && Otime.app.model.is_tsw() && Otime.Tasks.Start(item.time_sheet_id()))
				{
					return true;
				}

				//item._info.hours_disp && item._info.hours_disp("");
				Otime.app.loadData(new Otime.ContextModel(Otime.siteUrl+'/timesheet/start', {
					time_sheet_id: item.time_sheet_id()
				}, function(cont){
					if (cont.response)
					{
						Otime.TimeSheet.curTime	= _this.curTime	= cont.response.cur_time;
						item.from_time(cont.response.time);
						item._info.is_running(true);
						// item.stop	= self.stop;
						Otime.app.running_process(item);
						Otime.TimeSheet.SetInterval(cont.response.time, item, (item.hours()*60*60), self.tmpl);
						
						Otime.TimeSheet.Start();
					}
				}), true);
			};

			self.stopTask	= function(item){
				is_task_stoped_by_header_btn	= true;
				Otime.TimeSheet.ClearInterval();

				Otime.app.loadData(new Otime.ContextModel(Otime.siteUrl+"/timesheet/stop", {
					time_sheet_id: item.time_sheet_id()
				}, function(cont){
					var resp	= cont.response;
					Otime.TimeSheet.Stop(cont);

					if (resp.time)
					{
						var tot		= Number((item.hours()-0) + Number(jhelper.getTimeDiffPercent(Otime.RemoveSeconds(item.from_time()), Otime.RemoveSeconds(resp.time)))).toFixed(2)-0;
						tot && item.hours(tot);
					}

					if (resp.hours)
					{
						item.hours(resp.hours-0);
					}

					resp.time_sheet_id && self.time_sheet_id(resp.time_sheet_id);
					resp.entry_date && self.entry_date(Otime.stoj(resp.entry_date).format(Otime.jdf));

					self._info.hours_disp("");
					item._info.is_running(false);
//					Otime.app.running_process(null);
				}), true);
			};

			return self;
		};

		_this.loadURL	= function(url, isClouser){
//			url	= _this.prefix + url;
			// Otime.hashUrl = Otime.hashUrl.replace(Otime.domain,'');
			url	= Otime.domain + Otime.hashUrl + url;

			if (isClouser)
			{
				if(isIE)
				{
					return function(){
						window.location.href	= url;
						return false;
					};
				}
				return function(){
					_this.flag	= false;
					_this.History.pushState(null, null, url);
				};
			}
			else
			{
				if(isIE)
				{
					window.location.href	= url;
					return false;
				}
				_this.flag	= false;
				_this.History.pushState(null, null, url);
			}
		};

		_this.postData	= null;

		_this.flag	= false;

		_this.ReplaceURL	= function(url){
			_this.flag	= true;
			if(isIE)
			{
				return true;
			}

			url	= Otime.domain + Otime.hashUrl + url;

			Otime.Menu.History.replaceState(null, null, url || "/");

			_this.flag	= false;
		};

		_this._load_page	= function(url, flag, data){
			var $main	= $("#main-container");
			_this.set_redirect_url();
			_this.postData	= _this.postData || data || null;

			if (_this.flag === true)
			{
				if (isIE)
				{
					window.location.href	= url;
					return false;
				}
				_this.flag	= false;
//				_this.History.pushState(null, null, url);
				return false;
			}

			var delay	= 400;

			var tmp	= null;// _this._html_buffer[url];
			if (!tmp || !tmp.html || !tmp.data)
			{
				url	= url.replace(/\/$/g, ""); //.replace("/index.php", "index.php")
				if (isIE)
				{
					window.location.href	= url;
					return false;
				}
				$.ajax({
					url: url,
					type: _this.postData ? "POST" : "GET",
					data: _this.postData,
//					dataType: "html",	// xml, json, script, or html
//					headers: {},
					complete: function(){
						Otime.Menu.loading = false;
					},
					statusCode: {
						404: function(){
							alert("Page Not Found");
						}
					},
//					error: function(jqXHR, textStatus, errorThrown){
//					
//					},
					success: function(response, textStatus, jqXHR){
						Otime.Menu.loading = false;

						try
						{
							if (typeof response !== "object")
							{
								response	= JSON.parse(response);
							}
							if (is_expired(response))
							{
								return;
							}
							if (response[0] == 400)
							{
								window.location.href	= response[2];
							}
						}
						catch(error)
						{
							$main.fadeOut(delay, function(){
								_this._html_buffer[url]	= {
									html: response,
									data: data
								};
								$main.html(response).fadeIn(delay);
							});
//							$main.hide("slide",{
//							    direction: "left"
//							}, 750);
//							$main.show("slide",{
//							    direction: "right"
//							}, 750);
//							$("#main-container").animate({"left":(0-$("#main-container").outerWidth()) + "px"}, delay, "linear", function(){
//								Otime.Menu._html_buffer[url]	= response;
//								$("#main-container").html(response).animate({"left":"0px"}, delay, "linear");
//							});
						}
					}
				});
			}
			else
			{
				$main.fadeOut(delay, function(){
					$main.html(_this._html_buffer[url].html).fadeIn(delay);
				});
//				$("#main-container").animate({"left":(0-$("#main-container").outerWidth()) + "px"}, delay, "linear", function(){
//					$("#main-container").html(Otime.Menu._html_buffer[url]).animate({"left":"0px"}, delay, "linear");
//				});
			}
			_this.postData	= null;
			return false;
		};

		_this.clearBuffer	= function(){
			_this._html_buffer	= {};
		};

		_this.set_redirect_url = function() {
			var view = window.location.href;
			var v_pos = view.search('index.php');

			var llu = localStorage.getItem('ot_last_login')-0;
			if (llu) {
				var llu = 'ot_'+llu;
			}

			if (v_pos < 0) { localStorage.setItem(llu, ''); return false;}
			view = window.location.href.replace(Otime.siteUrl, "");
			var view_name = (view.length>1 && view[0]=='/')?(view.substring(1)):view;

			var ignore_views = ['login','logout','progress','signup','/','inactive'];
			if (ignore_views.indexOf(view_name)!=-1)
				return false;
			
			localStorage.setItem(llu, view);
		};

		_this.redirect_last_access = function() {
			var view = window.location.href;
			var v_pos = view.search('index.php');
			if (v_pos > 0)
			{
				view	= window.location.href.replace(Otime.siteUrl, "");
			}
			else
			{
				view = "";
			}

			if (view.length<2)
			{
				var llu = localStorage.getItem('ot_last_login')-0;
				if (llu)
				{
					var llu = 'ot_'+llu;					
					if (localStorage.getItem(llu))
					{
						Otime.redirect = true;
						window.location.href = Otime.siteUrl + localStorage.getItem(llu);
					}
				}
			}
		}

		_this.init	= function(){
			_this.History	= window.History;
			_this.State		= _this.History.getState();
//			_this.State.hash.indexOf("/index.php");
//console.log(_this.State);
//			_this.initProgress();
		};
	};

}(window.Otime));

$(document).ready(function() {
	var isIE	= !!$.browser.msie;
	// Otime.Menu.set_redirect_url();
//	if ($.browser.msie && $.browser.version=="6.0")
	if (!isIE)
	{
		Otime.Menu.init();
		Otime.Menu.History.Adapter.bind(window, 'statechange', function(){
			$(".menu").removeClass("active");
			Otime.Menu.State = History.getState();
			$("a#" + Otime.Menu.State.data.m).addClass("active");
			Otime.Menu._load_page(Otime.Menu.State.url);
		});
	}

	Otime.Menu.isAllow	= Otime.o(0);

	Otime.Menu.loading	= false;
/*
	$("#new-chat-form").submit(function(e){
		var url	= "http://192.168.2.52:14123/ombro/index.html?" + $(this).serialize();

		$('<iframe />', {
			name: "chat-frame",
			id: "chat-frame",
			src: url
		}).appendTo('body');

		$("#new-chat-modal").modal("hide");

		return false;
	});

	$("#start_chat_ballon").click(function(){
		// var url	= "http://chat.outputtime.com/ombro/index.html?" + $(this).serialize();
		//var url	= "http://chat.outputtime.com/ombro/index.html?";
		var url = "http://174.133.65.210/ombro/index.html?";
		var data	= $.param({
			company_name: Otime.userDetails.company_name,
			user_name: Otime.userDetails.name,
			user_email: Otime.userDetails.email,
			department: Otime.userDetails.department
		});
		url	+= data;
		window.open(url, '_blank');
/*
		var modal	= $("#new-chat-modal");
		if (modal.data('bs.modal'))
		{
			modal.modal("show");
		}
		else
		{
			modal.modal();
		}
*
		// Load the chat model box.
		return false;
	});
*/
	var chatIFrame	= null;
	var createIframe	= function(anchorTag){
		anchorTag	= anchorTag || $("#menu_omchat");
		if (!chatIFrame && !!(Otime.Storage.get("enable_chat", 1)-0))
		{
			chatIFrame	= $('<iframe />', {
				name: "chat-frame",
				id: "chat-frame",
				src: anchorTag.attr("href")
			}).appendTo('body');
		}
	};
	createIframe();
	$("a.menu", $("#main-menu")).click(function(e){
//		if (Otime.Menu.loading)
//		{
//			alert("Loading.");
//			return false;
//		}

		if ($(e.delegateTarget).is(".omchat"))
		{
			var anchorTag	= $(e.delegateTarget);
			createIframe(anchorTag);
			chatIFrame.toggleClass("active");
			return false;
		}

		var isIframeOpened	= chatIFrame.is(".active");
		chatIFrame && chatIFrame.removeClass("active");

		Otime.Menu.loading	= true;

		if (Otime.app && Otime.app.currentViewName == "Tasks" && Otime.app.model)
		{
			var data	= Otime.app.model.prepareData();
			if (Object.keys(data.items).length || Object.keys(data.deletedItems).length)
			{
				Otime.Menu.isAllow(1);
			}
		}

		if (Otime.Menu.isAllow() != 0 && !confirm("Are you sure you want to navigate away from this page?"))
		{
			Otime.Menu.loading	= false;
			return false;
		}

		Otime.Menu.isAllow(0);
		var url = $(this).attr("href");

		Otime.Menu.is_new	= $(this).attr("isnew");

		if (isIE)
		{
			if (Otime.Menu.is_new)
				url	+= "/add";

			window.location.href	= url;
			return false;
		}

		$("#main-menu ul li.root").removeClass("current");
		$(this).closest("li.root").addClass("current");

//		load_page(url);
//		m = $(this).attr("id");

		//if (Otime.Menu.History.getState().cleanUrl.indexOf(url) >= 0 && false)
		if (Otime.Menu.History.getState().cleanUrl == url)
		{
			if (Otime.Menu.is_new)
			{
				Otime.app.currentView.addNew();
			}
			else if(!isIframeOpened)
			{
//				return true;
				setTimeout(function(){
					location.reload();	// Reload the page.
				}, 500);
			}
		}
		else
		{
			Otime.Menu.History.pushState({pathUrl:url}, null, url);
		}

		return false;
	});

	Otime.Notify.init();
});
